> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /deviantart/users/watchers

> Get DeviantArt User Watchers

**Price:** 1 credit

**⚠️ Common errors:** 412: User not found.



## OpenAPI

````yaml /openapi/social-media.json post /api/deviantart/users/watchers
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/deviantart/users/watchers:
    post:
      tags:
        - /deviantart
      summary: /deviantart/users/watchers
      description: |-
        Get DeviantArt User Watchers

        **Price:** 1 credit

        **⚠️ Common errors:** 412: User not found.
      operationId: __api_deviantart_users_watchers_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviantartUsersWatchersPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeviantartUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeviantartUsersWatchersPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        user:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - user
        - count
    DeviantartUser:
      properties:
        '@type':
          type: string
          default: DeviantartUser
        id:
          type: string
        alias:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        account_type:
          anyOf:
            - type: string
            - type: 'null'
        is_group:
          type: boolean
          default: false
        is_new_deviant:
          type: boolean
          default: false
        tagline:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        gender:
          anyOf:
            - type: string
            - type: 'null'
        website:
          anyOf:
            - type: string
            - type: 'null'
        is_artist:
          anyOf:
            - type: boolean
            - type: 'null'
        artist_level:
          anyOf:
            - type: integer
            - type: 'null'
        artist_specialty:
          anyOf:
            - type: integer
            - type: 'null'
        is_open_for_commissions:
          anyOf:
            - type: boolean
            - type: 'null'
        registered_at:
          anyOf:
            - type: integer
            - type: 'null'
        social_links:
          items:
            $ref: '#/components/schemas/DeviantartSocialLink'
          type: array
          default: []
        interests:
          items:
            $ref: '#/components/schemas/DeviantartInterest'
          type: array
          default: []
        deviation_count:
          anyOf:
            - type: integer
            - type: 'null'
        watcher_count:
          anyOf:
            - type: integer
            - type: 'null'
        watching_count:
          anyOf:
            - type: integer
            - type: 'null'
        pageview_count:
          anyOf:
            - type: integer
            - type: 'null'
        favourite_count:
          anyOf:
            - type: integer
            - type: 'null'
        friend_count:
          anyOf:
            - type: integer
            - type: 'null'
        profile_comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_made_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - alias
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    DeviantartSocialLink:
      properties:
        '@type':
          type: string
          default: DeviantartSocialLink
        service:
          type: string
        url:
          type: string
      type: object
      required:
        - service
        - url
    DeviantartInterest:
      properties:
        '@type':
          type: string
          default: DeviantartInterest
        label:
          type: string
        value:
          type: string
      type: object
      required:
        - label
        - value
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````